body,
html {
    overscroll-behavior: none;
    /* Prevents the bounce effect */
    width: 100%;
    height: 100%
}

body {
    padding: 0;
    margin: 0;
    font-size: 16px;
    font-family: serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    background: black;
    width: 100%;
    height: 100%;

    font-family: "Prata", serif;
    font-weight: 400;
    font-style: normal;
    text-transform: uppercase;
}

header {
    width: 100%;
    height: 10vh;
    background: transparent;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 2;
    bottom: auto;
    top: 0;
    color: rgb(255, 218, 185);
    display: flex;
    transform: translateY(-100%);
    transition: opacity .2s ease-in, transform 0s .2s;
    opacity: 0;
}

#header.active {
    transform: translateY(0);
    opacity: 1;
    transition: transform .4s ease-out;
    display: flex;
    background: linear-gradient(180deg, rgba(0, 0, 0, .5), transparent);
}

#mobileMenuBtn {
    display: flex;
    align-items: center;
    width: auto;
    height: 100%;
    background-color: transparent;
    user-select: none;
    border: none;
    padding: 0 2em;
    z-index: 1;
}

#mobileMenuBtn svg {
    user-select: none;
    width: 100%;
    height: 40%;
}

#mobileMenuBtn #svg_close {
    display: none;
}

#mobileMenuBtn path {
    fill: #fff;
}


.mobile-nav {
    position: fixed;
    top: 0vh;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    z-index: 1;
}

.mobile-nav.show {
    display: flex;
}

.mobile-nav a {
    width: 100%;
    display: flex;
    padding: 0.5em;
    font-size: 1.4em;
    text-align: center;
    justify-content: center;
    box-sizing: border-box;
    background-image: linear-gradient(to top, #fd9691, #f61484, #fd9691);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;

    /* Alternative to text-shadow that plays nicer with background-clip */
    filter: drop-shadow(0px 0px 1vw rgba(246, 21, 132, 0.7));
    text-decoration: none;
    animation: glowing 1s ease-in-out infinite alternate-reverse;
}

@keyframes glowing {
    0% {
        filter: drop-shadow(0px 0px 1vw rgba(246, 21, 132, 0.7));
    }

    100% {
        filter: drop-shadow(0px 0px 2vw rgba(255, 255, 255, 0.7));
    }
}

#loading-progress-track {
    width: 50vw;
    height: 1em;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 0;
    overflow: hidden;
}

#loading-progress-bar {
    height: 100%;
    width: 0%;
    background: #fff;
    /* match your accent color */
    border-radius: 2px;
    transition: width 0.3s ease;
}

.mobile-nav a.link-blog {
    font-size: 1em;
    line-height: 1.4em;
}

section {
    margin-top: 10vh;
    display: flex;
}

#section-home {
    margin: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
}

.mobile-nav a.social-link {
    font-size: 3em;
}


.container {
    width: 100%;
    height: 100vh;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    /* filter: blur(0.5vw) */
    cursor: pointer;
    user-select: none;
}

#videoIntro-wrap {
    width: 100%;
    height: 82%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.wrap,
#videoIntro-wrap video {
    position: absolute;
    width: 100%;
    height: 100%;
}

#videoIntro {
    object-fit: cover;
}

.intro-ats {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: none;
    transform: scale(1.4);
}




.grad {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    /* 2. Prevent it from blocking clicks/interactions on the square underneath */
    pointer-events: none;

    /* 3. The double-sided fade-to-black gradient */
    background: linear-gradient(to bottom,
            rgba(0, 0, 0, 1) 1%,
            /* Solid black at the very top */
            rgba(0, 0, 0, 0) 20%,
            /* Fades out completely 20% of the way down */
            rgba(0, 0, 0, 0) 90%,
            /* Stays transparent until 80% of the way down */
            rgba(0, 0, 0, 1) 100%
            /* Fades back to solid black at the bottom */
        );
    opacity: 0;
}

h1,
button#start {
    position: absolute;
    width: 100%;
    height: 100%;
    margin: 0;
    top: 0;
    left: 0;
    z-index: 1;
    background: transparent;
    border: none;
    cursor: pointer;
    font-size: 3em;
}

button#start {
    background-image: linear-gradient(to top, #fd9691, #f61484, #fd9691);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;

    /* Alternative to text-shadow that plays nicer with background-clip */
    filter: drop-shadow(0px 0px 1vw rgba(246, 21, 132, 0.7));
    font-size: 2.7em;
    transition: all 1s;
    animation: glowing 1s ease-in-out infinite alternate-reverse;
    height: 100vh;
    display: flex;
    align-items: center;
    width: 100%;
    text-align: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.8);
    position: fixed;
    color: transparent;
    transition:
}

button#start:hover {
    background-image: linear-gradient(to top, #f61484, #fff, #f61484, #fd9691);
}

h1 {
    text-indent: -1000em;
    background-image: url("../img/ATS_Fill_White.svg");
    background-position: 40% 44%;
    background-repeat: no-repeat;
    background-size: 80vw;
    filter: blur(0.1em) brightness(0.5);
    opacity: 0;
}

.overlay-text {
    display: none;
    position: absolute;
    letter-spacing: 0.3em;
    max-width: 100vw;
    padding: 0 1em;
    box-sizing: border-box;
    color: rgba(255, 255, 255, 0.8);
    text-shadow: #ff4682 0px 0px 0.5vw;
    text-align: center;
    top: auto;
    bottom: 11vh;
    letter-spacing: 1.1vw;
    width: 100%;
    height: 35vh;
    overflow-y: scroll;
    font-size: 1em;
    line-height: 2em;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
}

#tbob {
    position: relative;
}

#tbob-glow {
    position: absolute;
    top: 0;
    left: 0;
}

#intro-text .link {
    text-decoration: none;
    cursor: pointer;
}

.single-lockup {
    display: flex;
    flex-direction: row;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 1em 0em 1em 1em;
}

.single-link {
    width: 40%;
}

.single-link .single-cover {
    transition: filter 1s ease-in, transform .6s ease-in-out;
}

.single-lockup:first-of-type .single-link:hover .single-cover {
    filter: drop-shadow(0 0 1.3vw #ff4682);
}

.single-link:hover .single-cover {
    filter: drop-shadow(0 0 1.3vw red);
    transform: scale(1.1);
}

.single-cover {
    width: 100%;
    object-fit: contain;
}

.single-text {
    width: calc(100% - 40% - 1em);
    text-align: left;
    font-size: 0.8em;
    line-height: 1.7em;
    margin-left: 1em;
    /* margin-right: 7%; */
}

.red {
    color: red;
}

#intro-text .inline-social-links {
    display: flex;
    width: 100%;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 1em;
}

#intro-text .inline-social-links a {
    color: #f61584;
    text-shadow: white 0px 0px 0.4vw;
    font-size: 2.5em;
}

.glow {
    background-image: linear-gradient(to top, #fd9691, #f61484, #fd9691);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;

    /* Alternative to text-shadow that plays nicer with background-clip */
    filter: drop-shadow(0px 0px 1vw rgba(246, 21, 132, 0.7));
}






footer {
    user-select: none;
    z-index: 2;
    display: flex;
    top: auto;
    bottom: 1vh;
    width: 100%;
    text-align: center;
    position: fixed;
    font-size: .7em;
    color: rgba(255, 255, 255, .6);
    text-shadow: 0 0 .2em #000;
    justify-content: center;
    gap: 0.5em;
    letter-spacing: 0.1em;
}

.audioPlaying footer {
    display: none;
}

#audio-controls {
    transform: translateY(100%);
    transition: transform 1s ease-in-out;
}

.audioPlaying #audio-controls {
    transform: translateY(0%);
}

#footer-audio {
    flex-direction: column-reverse;
    display: flex;
    width: 100%;
}

footer a {
    color: #fff;
    font-size: 2em;
}

footer a i {
    transition: transform 1s, color 1s;
}

footer a:hover i {
    transition: transform .2s, color 3s .2s;
    color: red;
    transform: scale(1.2);
}

#audio-controls {
    position: fixed;
    top: auto;
    bottom: 0;
    left: 0;
    z-index: 3;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    opacity: 0;
}

#equaliser {
    width: 2em;
    height: 2em;
    overflow: hidden;
    clip-path: polygon(5% 5%, 95% 5%, 95% 90%, 5% 90%);
}

#eq-img {
    width: 400%;
    height: 400%;
    display: block;
    opacity: .5;
}

#eq-img.playing {
    animation: playing 3s infinite steps(1) alternate-reverse;
}

@keyframes playing {

    /* ROW 1 */
    0% {
        transform: translate(0%, 0%);
        animation-timing-function: steps(1);
    }

    6.25% {
        transform: translate(-25%, 0%);
        animation-timing-function: steps(1);
    }

    12.5% {
        transform: translate(-50%, 0%);
        animation-timing-function: steps(1);
    }

    18.75% {
        transform: translate(-75%, 0%);
        animation-timing-function: steps(1);
    }

    /* ROW 2 */
    25% {
        transform: translate(0%, -25%);
        animation-timing-function: steps(1);
    }

    31.25% {
        transform: translate(-25%, -25%);
        animation-timing-function: steps(1);
    }

    37.5% {
        transform: translate(-50%, -25%);
        animation-timing-function: steps(1);
    }

    43.75% {
        transform: translate(-75%, -25%);
        animation-timing-function: steps(1);
    }

    /* ROW 3 */
    50% {
        transform: translate(0%, -50%);
        animation-timing-function: steps(1);
    }

    56.25% {
        transform: translate(-25%, -50%);
        animation-timing-function: steps(1);
    }

    62.5% {
        transform: translate(-50%, -50%);
        animation-timing-function: steps(1);
    }

    68.75% {
        transform: translate(-75%, -50%);
        animation-timing-function: steps(1);
    }

    /* ROW 4 */
    75% {
        transform: translate(0%, -75%);
        animation-timing-function: steps(1);
    }

    81.25% {
        transform: translate(-25%, -75%);
        animation-timing-function: steps(1);
    }

    87.5% {
        transform: translate(-50%, -75%);
        animation-timing-function: steps(1);
    }

    93.75% {
        transform: translate(-75%, -75%);
        animation-timing-function: steps(1);
    }
}

#song-details {
    width: 100vw;
    color: rgba(255, 255, 255, 0.6);
    font-size: 3.5vw;
    letter-spacing: 0.5em;

    text-align: center;
    opacity: 0;
    padding-top: 1vh;
    user-select: none;

    opacity: 1;
    transition: opacity 1s ease-in-out 1s;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    gap: 1em;
    align-items: center;
}

.audioPlaying #song-details {
    opacity: 1;
    transition: opacity 1s ease-in-out 1s;
}

#song-details {
    white-space: nowrap;
}

#song-title {}

.audioPlayer {
    display: none;
    filter: invert(1);
    width: 100%;
}

.play-controls {
    background-color: transparent;
    border: none;
    opacity: 0;
    cursor: pointer;
    height: 3em;
    width: 3em;
    vertical-align: middle;
}

#back svg {
    transform: scaleX(-1);
}

.play-controls path,
.play-controls rect {
    transition: fill 1s ease-in-out;
}

.play-controls:hover path,
.play-controls:hover rect {
    fill: #aa686d;
}
